SDL_getenv_unsafe(3)

NAME
SDL_getenv_unsafe - Get the value of a variable in the environment.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

const char * SDL_getenv_unsafe(const char *name);

DESCRIPTION
This function bypasses SDL's cached copy of the environment and is not thread-safe.

On some platforms, this may make case-insensitive matches, while other platforms are case-sensitive. It is best to be precise with strings used for queries through this interface. SDL_getenv is always case-sensitive, however.

FUNCTION PARAMETERS

name
    the name of the variable to get.

RETURN VALUE
Returns a pointer to the value of the variable or NULL if it can't be found.

THREAD SAFETY
This function is not thread safe, consider using SDL_getenv() instead.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_getenv(3)